Sale

This API endpoint is used to process a sale transaction providing the full card information.

Request Headers

HeaderTypeRequiredDescription
AuthorizationStringYesBearer {access_token}
Content-TypeStringYesapplication/json

Request Parameters

FieldTypeRequiredDescription
user_idStringYesUser ID
guest_idStringNoGuest ID
currency_isoStringNoCurrency
country_isoStringNoCountry Code
phone_numberStringNoPhone Number
orderidStringNoOrder ID
amountNumericNoAmount
card_dataObjectYesCard data
billing_addressObjectNoBilling Address
orderObjectNoOrder Details
reconciliation_idStringNoReconciliation identifier for transaction tracking
inv_numberStringNoInvoice number associated with the transaction
ignoreAvsResutBooleanNoWhen set to true, the transaction will continue processing even if AVS validation fails.
loc_processor_codeStringnoISO 3166-1 alpha-2 country code identifying the processor to use when an account has multiple processors configured.

Examples: us = United States processor, ca = Canada processor.

Object Type Parameters

card_data

FieldTypeRequiredDescription
card_typeStringWhen token is not presentVisa, Mastercard, Amex
tokenStringWhen card number is not presentCard Token
panStringWhen card token is not presentCard Number
sadStringWhen card token is not presentCVV
exp_monthStringWhen card token is not presentCard Expiry Month
exp_yearStringWhen card token is not presentCard Expiry Year
card_holderStringNoCard Holder Name

billing_address

FieldTypeRequiredDescription
streetStringNoStreet
street2StringNoStreet 2
zipStringNoZipcode
stateStringNoState
cityStringNoCity
country_isoStringNoCountry

order

FieldTypeRequiredDescription
itemsArrayNoOrder items
discountsArrayNoOrder Discounts

items

FieldTypeRequiredDescription
idStringNoItem ID
nameStringNoItem Name
quantityNumericNoItem Quantity
priceNumericNoItem Price
taxNumericNoItem Tax
typeStringNoItem Type
sales_categoryStringNoSales Category
phone_numberStringNoPhone Number

discounts

FieldTypeRequiredDescription
idStringNoDiscount ID
nameStringNoDiscount Name
valueNumericNoDiscount Value
item_idStringNoItem ID

Customer

FieldTypeRequiredDescription
customer_nameStringNoName of the customer or guest for the transaction.
customer_emailStringNoEmail of the customer or guest for the transaction.

Path Params
string
required
Body Params
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json